+ date
Mon Apr 17 08:15:03 UTC 2023
+ apt-get source --only-source xlennart=1.1.1-devuan
Reading package lists...
Need to get 312 kB of source archives.
Get:1 http://deb.devuan.org/merged chimaera/main xlennart 1.1.1-devuan (dsc) [1074 B]
Get:2 http://deb.devuan.org/merged chimaera/main xlennart 1.1.1-devuan (git) [311 kB]
dpkg-source: info: extracting xlennart in xlennart-1.1.1
dpkg-source: info: cloning xlennart_1.1.1-devuan.git
Fetched 312 kB in 0s (1623 kB/s)
W: Download is performed unsandboxed as root as file 'xlennart_1.1.1-devuan.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source xlennart=1.1.1-devuan
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0
  gir1.2-gtk-2.0 gir1.2-harfbuzz-0.0 gir1.2-pango-1.0 libatk1.0-dev
  libblkid-dev libbrotli-dev libcairo-script-interpreter2 libcairo2-dev
  libdatrie-dev libexpat1-dev libfontconfig-dev libfontconfig1-dev
  libfreetype-dev libfreetype6-dev libfribidi-dev libgdk-pixbuf-2.0-dev
  libgirepository-1.0-1 libglib2.0-bin libglib2.0-dev libglib2.0-dev-bin
  libgraphite2-dev libgtk2.0-0 libgtk2.0-common libgtk2.0-dev libharfbuzz-dev
  libharfbuzz-gobject0 libice-dev libmount-dev libpango1.0-dev
  libpangoxft-1.0-0 libpixman-1-dev libpthread-stubs0-dev libselinux1-dev
  libsepol1-dev libsm-dev libthai-dev libx11-dev libxau-dev libxcb-render0-dev
  libxcb-shm0-dev libxcb1-dev libxcomposite-dev libxcursor-dev libxdamage-dev
  libxdmcp-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev
  libxml2-utils libxrandr-dev libxrender-dev pango1.0-tools uuid-dev
  x11proto-dev x11proto-input-dev x11proto-randr-dev x11proto-xext-dev
  x11proto-xinerama-dev xorg-sgml-doctools xtrans-dev
0 upgraded, 66 newly installed, 0 to remove and 0 not upgraded.
Need to get 19.4 MB of archives.
After this operation, 83.4 MB of additional disk space will be used.
Get:1 http://deb.devuan.org/merged chimaera/main amd64 libgirepository-1.0-1 amd64 1.66.1-1+b1 [96.7 kB]
Get:2 http://deb.devuan.org/merged chimaera/main amd64 gir1.2-glib-2.0 amd64 1.66.1-1+b1 [151 kB]
Get:3 http://deb.devuan.org/merged chimaera/main amd64 gir1.2-atk-1.0 amd64 2.36.0-2 [26.0 kB]
Get:4 http://deb.devuan.org/merged chimaera/main amd64 gir1.2-freedesktop amd64 1.66.1-1+b1 [33.4 kB]
Get:5 http://deb.devuan.org/merged chimaera/main amd64 gir1.2-gdkpixbuf-2.0 amd64 2.42.2+dfsg-1+deb11u1 [19.9 kB]
Get:14 http://deb.devuan.org/merged chimaera/main amd64 uuid-dev amd64 2.36.1-8+devuan2 [111 kB]
Get:6 http://deb.devuan.org/merged chimaera/main amd64 libgtk2.0-common all 2.24.33-2 [2700 kB]
Get:15 http://deb.devuan.org/merged chimaera/main amd64 libblkid-dev amd64 2.36.1-8+devuan2 [236 kB]
Get:16 http://deb.devuan.org/merged chimaera/main amd64 libsepol1-dev amd64 3.1-1 [338 kB]
Get:18 http://deb.devuan.org/merged chimaera/main amd64 libmount-dev amd64 2.36.1-8+devuan2 [89.2 kB]
Get:17 http://deb.devuan.org/merged chimaera/main amd64 libselinux1-dev amd64 3.1-3 [168 kB]
Get:19 http://deb.devuan.org/merged chimaera/main amd64 libglib2.0-dev amd64 2.66.8-1 [1577 kB]
Get:20 http://deb.devuan.org/merged chimaera/main amd64 libatk1.0-dev amd64 2.36.0-2 [104 kB]
Get:21 http://deb.devuan.org/merged chimaera/main amd64 libbrotli-dev amd64 1.0.9-2+b2 [288 kB]
Get:22 http://deb.devuan.org/merged chimaera/main amd64 libcairo-script-interpreter2 amd64 1.16.0-5 [163 kB]
Get:23 http://deb.devuan.org/merged chimaera/main amd64 libexpat1-dev amd64 2.2.10-2+deb11u5 [141 kB]
Get:24 http://deb.devuan.org/merged chimaera/main amd64 libfreetype-dev amd64 2.10.4+dfsg-1+deb11u1 [571 kB]
Get:25 http://deb.devuan.org/merged chimaera/main amd64 libfreetype6-dev amd64 2.10.4+dfsg-1+deb11u1 [82.6 kB]
Get:26 http://deb.devuan.org/merged chimaera/main amd64 libfontconfig-dev amd64 2.13.1-4.2 [368 kB]
Get:7 http://deb.devuan.org/merged chimaera/main amd64 gir1.2-harfbuzz-0.0 amd64 2.7.4-1 [1154 kB]
Get:27 http://deb.devuan.org/merged chimaera/main amd64 libfontconfig1-dev amd64 2.13.1-4.2 [238 kB]
Get:28 http://deb.devuan.org/merged chimaera/main amd64 xorg-sgml-doctools all 1:1.11-1.1 [22.1 kB]
Get:29 http://deb.devuan.org/merged chimaera/main amd64 x11proto-dev all 2020.1-1 [594 kB]
Get:30 http://deb.devuan.org/merged chimaera/main amd64 libxau-dev amd64 1:1.0.9-1 [22.9 kB]
Get:31 http://deb.devuan.org/merged chimaera/main amd64 libxdmcp-dev amd64 1:1.1.2-3 [42.2 kB]
Get:32 http://deb.devuan.org/merged chimaera/main amd64 xtrans-dev all 1.4.0-1 [98.7 kB]
Get:33 http://deb.devuan.org/merged chimaera/main amd64 libpthread-stubs0-dev amd64 0.4-1 [5344 B]
Get:34 http://deb.devuan.org/merged chimaera/main amd64 libxcb1-dev amd64 1.14-3 [176 kB]
Get:35 http://deb.devuan.org/merged chimaera/main amd64 libx11-dev amd64 2:1.7.2-1 [841 kB]
Get:36 http://deb.devuan.org/merged chimaera/main amd64 libxrender-dev amd64 1:0.9.10-1 [40.8 kB]
Get:37 http://deb.devuan.org/merged chimaera/main amd64 x11proto-xext-dev all 2020.1-1 [3404 B]
Get:38 http://deb.devuan.org/merged chimaera/main amd64 libxext-dev amd64 2:1.3.3-1.1 [107 kB]
Get:39 http://deb.devuan.org/merged chimaera/main amd64 libice-dev amd64 2:1.0.10-1 [67.1 kB]
Get:8 http://deb.devuan.org/merged chimaera/main amd64 libpangoxft-1.0-0 amd64 1.46.2-3 [43.5 kB]
Get:40 http://deb.devuan.org/merged chimaera/main amd64 libsm-dev amd64 2:1.2.3-1 [38.0 kB]
Get:41 http://deb.devuan.org/merged chimaera/main amd64 libpixman-1-dev amd64 0.40.0-1.1~deb11u1 [561 kB]
Get:42 http://deb.devuan.org/merged chimaera/main amd64 libxcb-render0-dev amd64 1.14-3 [114 kB]
Get:43 http://deb.devuan.org/merged chimaera/main amd64 libxcb-shm0-dev amd64 1.14-3 [102 kB]
Get:44 http://deb.devuan.org/merged chimaera/main amd64 libcairo2-dev amd64 1.16.0-5 [739 kB]
Get:45 http://deb.devuan.org/merged chimaera/main amd64 libdatrie-dev amd64 0.2.13-1 [18.4 kB]
Get:9 http://deb.devuan.org/merged chimaera/main amd64 gir1.2-pango-1.0 amd64 1.46.2-3 [53.0 kB]
Get:46 http://deb.devuan.org/merged chimaera/main amd64 libfribidi-dev amd64 1.0.8-2+deb11u1 [105 kB]
Get:47 http://deb.devuan.org/merged chimaera/main amd64 libgdk-pixbuf-2.0-dev amd64 2.42.2+dfsg-1+deb11u1 [56.9 kB]
Get:48 http://deb.devuan.org/merged chimaera/main amd64 libgraphite2-dev amd64 1.3.14-1 [24.0 kB]
Get:49 http://deb.devuan.org/merged chimaera/main amd64 libharfbuzz-gobject0 amd64 2.7.4-1 [1147 kB]
Get:50 http://deb.devuan.org/merged chimaera/main amd64 libharfbuzz-dev amd64 2.7.4-1 [1630 kB]
Get:10 http://deb.devuan.org/merged chimaera/main amd64 libgtk2.0-0 amd64 2.24.33-2 [1855 kB]
Get:51 http://deb.devuan.org/merged chimaera/main amd64 libthai-dev amd64 0.1.28-3 [24.3 kB]
Get:52 http://deb.devuan.org/merged chimaera/main amd64 libxft-dev amd64 2.3.2-2 [68.7 kB]
Get:53 http://deb.devuan.org/merged chimaera/main amd64 pango1.0-tools amd64 1.46.2-3 [51.8 kB]
Get:54 http://deb.devuan.org/merged chimaera/main amd64 libpango1.0-dev amd64 1.46.2-3 [166 kB]
Get:55 http://deb.devuan.org/merged chimaera/main amd64 x11proto-xinerama-dev all 2020.1-1 [3408 B]
Get:56 http://deb.devuan.org/merged chimaera/main amd64 libxinerama-dev amd64 2:1.1.4-2 [20.1 kB]
Get:57 http://deb.devuan.org/merged chimaera/main amd64 libxfixes-dev amd64 1:5.0.3-2 [24.1 kB]
Get:58 http://deb.devuan.org/merged chimaera/main amd64 x11proto-input-dev all 2020.1-1 [3412 B]
Get:59 http://deb.devuan.org/merged chimaera/main amd64 libxi-dev amd64 2:1.7.10-1 [242 kB]
Get:60 http://deb.devuan.org/merged chimaera/main amd64 x11proto-randr-dev all 2020.1-1 [3412 B]
Get:61 http://deb.devuan.org/merged chimaera/main amd64 libxrandr-dev amd64 2:1.5.1-1 [45.0 kB]
Get:62 http://deb.devuan.org/merged chimaera/main amd64 libxcursor-dev amd64 1:1.2.0-2 [44.8 kB]
Get:63 http://deb.devuan.org/merged chimaera/main amd64 libxcomposite-dev amd64 1:0.4.5-1 [20.1 kB]
Get:64 http://deb.devuan.org/merged chimaera/main amd64 libxdamage-dev amd64 1:1.1.5-2 [15.6 kB]
Get:11 http://deb.devuan.org/merged chimaera/main amd64 gir1.2-gtk-2.0 amd64 2.24.33-2 [216 kB]
Get:65 http://deb.devuan.org/merged chimaera/main amd64 libxml2-utils amd64 2.9.10+dfsg-6.7+deb11u3 [109 kB]
Get:66 http://deb.devuan.org/merged chimaera/main amd64 libgtk2.0-dev amd64 2.24.33-2 [827 kB]
Get:12 http://deb.devuan.org/merged chimaera/main amd64 libglib2.0-bin amd64 2.66.8-1 [141 kB]
Get:13 http://deb.devuan.org/merged chimaera/main amd64 libglib2.0-dev-bin amd64 2.66.8-1 [179 kB]
Fetched 19.4 MB in 3s (5574 kB/s)
Selecting previously unselected package libgirepository-1.0-1:amd64.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 99471 files and directories currently installed.)
Preparing to unpack .../00-libgirepository-1.0-1_1.66.1-1+b1_amd64.deb ...
Unpacking libgirepository-1.0-1:amd64 (1.66.1-1+b1) ...
Selecting previously unselected package gir1.2-glib-2.0:amd64.
Preparing to unpack .../01-gir1.2-glib-2.0_1.66.1-1+b1_amd64.deb ...
Unpacking gir1.2-glib-2.0:amd64 (1.66.1-1+b1) ...
Selecting previously unselected package gir1.2-atk-1.0:amd64.
Preparing to unpack .../02-gir1.2-atk-1.0_2.36.0-2_amd64.deb ...
Unpacking gir1.2-atk-1.0:amd64 (2.36.0-2) ...
Selecting previously unselected package gir1.2-freedesktop:amd64.
Preparing to unpack .../03-gir1.2-freedesktop_1.66.1-1+b1_amd64.deb ...
Unpacking gir1.2-freedesktop:amd64 (1.66.1-1+b1) ...
Selecting previously unselected package gir1.2-gdkpixbuf-2.0:amd64.
Preparing to unpack .../04-gir1.2-gdkpixbuf-2.0_2.42.2+dfsg-1+deb11u1_amd64.deb ...
Unpacking gir1.2-gdkpixbuf-2.0:amd64 (2.42.2+dfsg-1+deb11u1) ...
Selecting previously unselected package libgtk2.0-common.
Preparing to unpack .../05-libgtk2.0-common_2.24.33-2_all.deb ...
Unpacking libgtk2.0-common (2.24.33-2) ...
Selecting previously unselected package gir1.2-harfbuzz-0.0:amd64.
Preparing to unpack .../06-gir1.2-harfbuzz-0.0_2.7.4-1_amd64.deb ...
Unpacking gir1.2-harfbuzz-0.0:amd64 (2.7.4-1) ...
Selecting previously unselected package libpangoxft-1.0-0:amd64.
Preparing to unpack .../07-libpangoxft-1.0-0_1.46.2-3_amd64.deb ...
Unpacking libpangoxft-1.0-0:amd64 (1.46.2-3) ...
Selecting previously unselected package gir1.2-pango-1.0:amd64.
Preparing to unpack .../08-gir1.2-pango-1.0_1.46.2-3_amd64.deb ...
Unpacking gir1.2-pango-1.0:amd64 (1.46.2-3) ...
Selecting previously unselected package libgtk2.0-0:amd64.
Preparing to unpack .../09-libgtk2.0-0_2.24.33-2_amd64.deb ...
Unpacking libgtk2.0-0:amd64 (2.24.33-2) ...
Selecting previously unselected package gir1.2-gtk-2.0:amd64.
Preparing to unpack .../10-gir1.2-gtk-2.0_2.24.33-2_amd64.deb ...
Unpacking gir1.2-gtk-2.0:amd64 (2.24.33-2) ...
Selecting previously unselected package libglib2.0-bin.
Preparing to unpack .../11-libglib2.0-bin_2.66.8-1_amd64.deb ...
Unpacking libglib2.0-bin (2.66.8-1) ...
Selecting previously unselected package libglib2.0-dev-bin.
Preparing to unpack .../12-libglib2.0-dev-bin_2.66.8-1_amd64.deb ...
Unpacking libglib2.0-dev-bin (2.66.8-1) ...
Selecting previously unselected package uuid-dev:amd64.
Preparing to unpack .../13-uuid-dev_2.36.1-8+devuan2_amd64.deb ...
Unpacking uuid-dev:amd64 (2.36.1-8+devuan2) ...
Selecting previously unselected package libblkid-dev:amd64.
Preparing to unpack .../14-libblkid-dev_2.36.1-8+devuan2_amd64.deb ...
Unpacking libblkid-dev:amd64 (2.36.1-8+devuan2) ...
Selecting previously unselected package libsepol1-dev:amd64.
Preparing to unpack .../15-libsepol1-dev_3.1-1_amd64.deb ...
Unpacking libsepol1-dev:amd64 (3.1-1) ...
Selecting previously unselected package libselinux1-dev:amd64.
Preparing to unpack .../16-libselinux1-dev_3.1-3_amd64.deb ...
Unpacking libselinux1-dev:amd64 (3.1-3) ...
Selecting previously unselected package libmount-dev:amd64.
Preparing to unpack .../17-libmount-dev_2.36.1-8+devuan2_amd64.deb ...
Unpacking libmount-dev:amd64 (2.36.1-8+devuan2) ...
Selecting previously unselected package libglib2.0-dev:amd64.
Preparing to unpack .../18-libglib2.0-dev_2.66.8-1_amd64.deb ...
Unpacking libglib2.0-dev:amd64 (2.66.8-1) ...
Selecting previously unselected package libatk1.0-dev:amd64.
Preparing to unpack .../19-libatk1.0-dev_2.36.0-2_amd64.deb ...
Unpacking libatk1.0-dev:amd64 (2.36.0-2) ...
Selecting previously unselected package libbrotli-dev:amd64.
Preparing to unpack .../20-libbrotli-dev_1.0.9-2+b2_amd64.deb ...
Unpacking libbrotli-dev:amd64 (1.0.9-2+b2) ...
Selecting previously unselected package libcairo-script-interpreter2:amd64.
Preparing to unpack .../21-libcairo-script-interpreter2_1.16.0-5_amd64.deb ...
Unpacking libcairo-script-interpreter2:amd64 (1.16.0-5) ...
Selecting previously unselected package libexpat1-dev:amd64.
Preparing to unpack .../22-libexpat1-dev_2.2.10-2+deb11u5_amd64.deb ...
Unpacking libexpat1-dev:amd64 (2.2.10-2+deb11u5) ...
Selecting previously unselected package libfreetype-dev:amd64.
Preparing to unpack .../23-libfreetype-dev_2.10.4+dfsg-1+deb11u1_amd64.deb ...
Unpacking libfreetype-dev:amd64 (2.10.4+dfsg-1+deb11u1) ...
Selecting previously unselected package libfreetype6-dev:amd64.
Preparing to unpack .../24-libfreetype6-dev_2.10.4+dfsg-1+deb11u1_amd64.deb ...
Unpacking libfreetype6-dev:amd64 (2.10.4+dfsg-1+deb11u1) ...
Selecting previously unselected package libfontconfig-dev:amd64.
Preparing to unpack .../25-libfontconfig-dev_2.13.1-4.2_amd64.deb ...
Unpacking libfontconfig-dev:amd64 (2.13.1-4.2) ...
Selecting previously unselected package libfontconfig1-dev:amd64.
Preparing to unpack .../26-libfontconfig1-dev_2.13.1-4.2_amd64.deb ...
Unpacking libfontconfig1-dev:amd64 (2.13.1-4.2) ...
Selecting previously unselected package xorg-sgml-doctools.
Preparing to unpack .../27-xorg-sgml-doctools_1%3a1.11-1.1_all.deb ...
Unpacking xorg-sgml-doctools (1:1.11-1.1) ...
Selecting previously unselected package x11proto-dev.
Preparing to unpack .../28-x11proto-dev_2020.1-1_all.deb ...
Unpacking x11proto-dev (2020.1-1) ...
Selecting previously unselected package libxau-dev:amd64.
Preparing to unpack .../29-libxau-dev_1%3a1.0.9-1_amd64.deb ...
Unpacking libxau-dev:amd64 (1:1.0.9-1) ...
Selecting previously unselected package libxdmcp-dev:amd64.
Preparing to unpack .../30-libxdmcp-dev_1%3a1.1.2-3_amd64.deb ...
Unpacking libxdmcp-dev:amd64 (1:1.1.2-3) ...
Selecting previously unselected package xtrans-dev.
Preparing to unpack .../31-xtrans-dev_1.4.0-1_all.deb ...
Unpacking xtrans-dev (1.4.0-1) ...
Selecting previously unselected package libpthread-stubs0-dev:amd64.
Preparing to unpack .../32-libpthread-stubs0-dev_0.4-1_amd64.deb ...
Unpacking libpthread-stubs0-dev:amd64 (0.4-1) ...
Selecting previously unselected package libxcb1-dev:amd64.
Preparing to unpack .../33-libxcb1-dev_1.14-3_amd64.deb ...
Unpacking libxcb1-dev:amd64 (1.14-3) ...
Selecting previously unselected package libx11-dev:amd64.
Preparing to unpack .../34-libx11-dev_2%3a1.7.2-1_amd64.deb ...
Unpacking libx11-dev:amd64 (2:1.7.2-1) ...
Selecting previously unselected package libxrender-dev:amd64.
Preparing to unpack .../35-libxrender-dev_1%3a0.9.10-1_amd64.deb ...
Unpacking libxrender-dev:amd64 (1:0.9.10-1) ...
Selecting previously unselected package x11proto-xext-dev.
Preparing to unpack .../36-x11proto-xext-dev_2020.1-1_all.deb ...
Unpacking x11proto-xext-dev (2020.1-1) ...
Selecting previously unselected package libxext-dev:amd64.
Preparing to unpack .../37-libxext-dev_2%3a1.3.3-1.1_amd64.deb ...
Unpacking libxext-dev:amd64 (2:1.3.3-1.1) ...
Selecting previously unselected package libice-dev:amd64.
Preparing to unpack .../38-libice-dev_2%3a1.0.10-1_amd64.deb ...
Unpacking libice-dev:amd64 (2:1.0.10-1) ...
Selecting previously unselected package libsm-dev:amd64.
Preparing to unpack .../39-libsm-dev_2%3a1.2.3-1_amd64.deb ...
Unpacking libsm-dev:amd64 (2:1.2.3-1) ...
Selecting previously unselected package libpixman-1-dev:amd64.
Preparing to unpack .../40-libpixman-1-dev_0.40.0-1.1~deb11u1_amd64.deb ...
Unpacking libpixman-1-dev:amd64 (0.40.0-1.1~deb11u1) ...
Selecting previously unselected package libxcb-render0-dev:amd64.
Preparing to unpack .../41-libxcb-render0-dev_1.14-3_amd64.deb ...
Unpacking libxcb-render0-dev:amd64 (1.14-3) ...
Selecting previously unselected package libxcb-shm0-dev:amd64.
Preparing to unpack .../42-libxcb-shm0-dev_1.14-3_amd64.deb ...
Unpacking libxcb-shm0-dev:amd64 (1.14-3) ...
Selecting previously unselected package libcairo2-dev:amd64.
Preparing to unpack .../43-libcairo2-dev_1.16.0-5_amd64.deb ...
Unpacking libcairo2-dev:amd64 (1.16.0-5) ...
Selecting previously unselected package libdatrie-dev:amd64.
Preparing to unpack .../44-libdatrie-dev_0.2.13-1_amd64.deb ...
Unpacking libdatrie-dev:amd64 (0.2.13-1) ...
Selecting previously unselected package libfribidi-dev:amd64.
Preparing to unpack .../45-libfribidi-dev_1.0.8-2+deb11u1_amd64.deb ...
Unpacking libfribidi-dev:amd64 (1.0.8-2+deb11u1) ...
Selecting previously unselected package libgdk-pixbuf-2.0-dev:amd64.
Preparing to unpack .../46-libgdk-pixbuf-2.0-dev_2.42.2+dfsg-1+deb11u1_amd64.deb ...
Unpacking libgdk-pixbuf-2.0-dev:amd64 (2.42.2+dfsg-1+deb11u1) ...
Selecting previously unselected package libgraphite2-dev:amd64.
Preparing to unpack .../47-libgraphite2-dev_1.3.14-1_amd64.deb ...
Unpacking libgraphite2-dev:amd64 (1.3.14-1) ...
Selecting previously unselected package libharfbuzz-gobject0:amd64.
Preparing to unpack .../48-libharfbuzz-gobject0_2.7.4-1_amd64.deb ...
Unpacking libharfbuzz-gobject0:amd64 (2.7.4-1) ...
Selecting previously unselected package libharfbuzz-dev:amd64.
Preparing to unpack .../49-libharfbuzz-dev_2.7.4-1_amd64.deb ...
Unpacking libharfbuzz-dev:amd64 (2.7.4-1) ...
Selecting previously unselected package libthai-dev:amd64.
Preparing to unpack .../50-libthai-dev_0.1.28-3_amd64.deb ...
Unpacking libthai-dev:amd64 (0.1.28-3) ...
Selecting previously unselected package libxft-dev:amd64.
Preparing to unpack .../51-libxft-dev_2.3.2-2_amd64.deb ...
Unpacking libxft-dev:amd64 (2.3.2-2) ...
Selecting previously unselected package pango1.0-tools.
Preparing to unpack .../52-pango1.0-tools_1.46.2-3_amd64.deb ...
Unpacking pango1.0-tools (1.46.2-3) ...
Selecting previously unselected package libpango1.0-dev:amd64.
Preparing to unpack .../53-libpango1.0-dev_1.46.2-3_amd64.deb ...
Unpacking libpango1.0-dev:amd64 (1.46.2-3) ...
Selecting previously unselected package x11proto-xinerama-dev.
Preparing to unpack .../54-x11proto-xinerama-dev_2020.1-1_all.deb ...
Unpacking x11proto-xinerama-dev (2020.1-1) ...
Selecting previously unselected package libxinerama-dev:amd64.
Preparing to unpack .../55-libxinerama-dev_2%3a1.1.4-2_amd64.deb ...
Unpacking libxinerama-dev:amd64 (2:1.1.4-2) ...
Selecting previously unselected package libxfixes-dev:amd64.
Preparing to unpack .../56-libxfixes-dev_1%3a5.0.3-2_amd64.deb ...
Unpacking libxfixes-dev:amd64 (1:5.0.3-2) ...
Selecting previously unselected package x11proto-input-dev.
Preparing to unpack .../57-x11proto-input-dev_2020.1-1_all.deb ...
Unpacking x11proto-input-dev (2020.1-1) ...
Selecting previously unselected package libxi-dev:amd64.
Preparing to unpack .../58-libxi-dev_2%3a1.7.10-1_amd64.deb ...
Unpacking libxi-dev:amd64 (2:1.7.10-1) ...
Selecting previously unselected package x11proto-randr-dev.
Preparing to unpack .../59-x11proto-randr-dev_2020.1-1_all.deb ...
Unpacking x11proto-randr-dev (2020.1-1) ...
Selecting previously unselected package libxrandr-dev:amd64.
Preparing to unpack .../60-libxrandr-dev_2%3a1.5.1-1_amd64.deb ...
Unpacking libxrandr-dev:amd64 (2:1.5.1-1) ...
Selecting previously unselected package libxcursor-dev:amd64.
Preparing to unpack .../61-libxcursor-dev_1%3a1.2.0-2_amd64.deb ...
Unpacking libxcursor-dev:amd64 (1:1.2.0-2) ...
Selecting previously unselected package libxcomposite-dev:amd64.
Preparing to unpack .../62-libxcomposite-dev_1%3a0.4.5-1_amd64.deb ...
Unpacking libxcomposite-dev:amd64 (1:0.4.5-1) ...
Selecting previously unselected package libxdamage-dev:amd64.
Preparing to unpack .../63-libxdamage-dev_1%3a1.1.5-2_amd64.deb ...
Unpacking libxdamage-dev:amd64 (1:1.1.5-2) ...
Selecting previously unselected package libxml2-utils.
Preparing to unpack .../64-libxml2-utils_2.9.10+dfsg-6.7+deb11u3_amd64.deb ...
Unpacking libxml2-utils (2.9.10+dfsg-6.7+deb11u3) ...
Selecting previously unselected package libgtk2.0-dev:amd64.
Preparing to unpack .../65-libgtk2.0-dev_2.24.33-2_amd64.deb ...
Unpacking libgtk2.0-dev:amd64 (2.24.33-2) ...
Setting up libcairo-script-interpreter2:amd64 (1.16.0-5) ...
Setting up libglib2.0-dev-bin (2.66.8-1) ...
Setting up libpixman-1-dev:amd64 (0.40.0-1.1~deb11u1) ...
Setting up libpangoxft-1.0-0:amd64 (1.46.2-3) ...
Setting up libfribidi-dev:amd64 (1.0.8-2+deb11u1) ...
Setting up pango1.0-tools (1.46.2-3) ...
Setting up libsepol1-dev:amd64 (3.1-1) ...
Setting up libglib2.0-bin (2.66.8-1) ...
Setting up libharfbuzz-gobject0:amd64 (2.7.4-1) ...
Setting up libpthread-stubs0-dev:amd64 (0.4-1) ...
Setting up xtrans-dev (1.4.0-1) ...
Setting up libgraphite2-dev:amd64 (1.3.14-1) ...
Setting up libexpat1-dev:amd64 (2.2.10-2+deb11u5) ...
Setting up uuid-dev:amd64 (2.36.1-8+devuan2) ...
Setting up libdatrie-dev:amd64 (0.2.13-1) ...
Setting up libgirepository-1.0-1:amd64 (1.66.1-1+b1) ...
Setting up xorg-sgml-doctools (1:1.11-1.1) ...
Setting up libgtk2.0-common (2.24.33-2) ...
Setting up libxml2-utils (2.9.10+dfsg-6.7+deb11u3) ...
Setting up libbrotli-dev:amd64 (1.0.9-2+b2) ...
Setting up libblkid-dev:amd64 (2.36.1-8+devuan2) ...
Setting up libselinux1-dev:amd64 (3.1-3) ...
Setting up libgtk2.0-0:amd64 (2.24.33-2) ...
Setting up libfreetype-dev:amd64 (2.10.4+dfsg-1+deb11u1) ...
Setting up gir1.2-glib-2.0:amd64 (1.66.1-1+b1) ...
Setting up libthai-dev:amd64 (0.1.28-3) ...
Setting up libmount-dev:amd64 (2.36.1-8+devuan2) ...
Setting up gir1.2-freedesktop:amd64 (1.66.1-1+b1) ...
Setting up gir1.2-gdkpixbuf-2.0:amd64 (2.42.2+dfsg-1+deb11u1) ...
Setting up gir1.2-atk-1.0:amd64 (2.36.0-2) ...
Setting up gir1.2-harfbuzz-0.0:amd64 (2.7.4-1) ...
Setting up libfreetype6-dev:amd64 (2.10.4+dfsg-1+deb11u1) ...
Setting up gir1.2-pango-1.0:amd64 (1.46.2-3) ...
Setting up libglib2.0-dev:amd64 (2.66.8-1) ...
Setting up gir1.2-gtk-2.0:amd64 (2.24.33-2) ...
Setting up libfontconfig-dev:amd64 (2.13.1-4.2) ...
Setting up libfontconfig1-dev:amd64 (2.13.1-4.2) ...
Processing triggers for libglib2.0-0:amd64 (2.66.8-1) ...
Processing triggers for libc-bin (2.31-13+deb11u5) ...
Processing triggers for man-db (2.9.4-2) ...
Processing triggers for sgml-base (1.30) ...
Setting up libatk1.0-dev:amd64 (2.36.0-2) ...
Setting up x11proto-dev (2020.1-1) ...
Setting up libgdk-pixbuf-2.0-dev:amd64 (2.42.2+dfsg-1+deb11u1) ...
Setting up libharfbuzz-dev:amd64 (2.7.4-1) ...
Setting up libxau-dev:amd64 (1:1.0.9-1) ...
Setting up libice-dev:amd64 (2:1.0.10-1) ...
Setting up libsm-dev:amd64 (2:1.2.3-1) ...
Setting up x11proto-randr-dev (2020.1-1) ...
Setting up x11proto-xinerama-dev (2020.1-1) ...
Setting up libxdmcp-dev:amd64 (1:1.1.2-3) ...
Setting up x11proto-input-dev (2020.1-1) ...
Setting up x11proto-xext-dev (2020.1-1) ...
Setting up libxcb1-dev:amd64 (1.14-3) ...
Setting up libx11-dev:amd64 (2:1.7.2-1) ...
Setting up libxfixes-dev:amd64 (1:5.0.3-2) ...
Setting up libxcb-shm0-dev:amd64 (1.14-3) ...
Setting up libxcb-render0-dev:amd64 (1.14-3) ...
Setting up libxext-dev:amd64 (2:1.3.3-1.1) ...
Setting up libxi-dev:amd64 (2:1.7.10-1) ...
Setting up libxrender-dev:amd64 (1:0.9.10-1) ...
Setting up libxft-dev:amd64 (2.3.2-2) ...
Setting up libxdamage-dev:amd64 (1:1.1.5-2) ...
Setting up libxcomposite-dev:amd64 (1:0.4.5-1) ...
Setting up libxcursor-dev:amd64 (1:1.2.0-2) ...
Setting up libxrandr-dev:amd64 (2:1.5.1-1) ...
Setting up libxinerama-dev:amd64 (2:1.1.4-2) ...
Setting up libcairo2-dev:amd64 (1.16.0-5) ...
Setting up libpango1.0-dev:amd64 (1.46.2-3) ...
Setting up libgtk2.0-dev:amd64 (2.24.33-2) ...
+ find . -maxdepth 1 -name xlennart* -type d
+ cd ./xlennart-1.1.1
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package xlennart
dpkg-buildpackage: info: source version 1.1.1-devuan
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Daniel Reurich <centurion@zephaniah.centurion.net.nz>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean --parallel
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_auto_clean -O--parallel
dh_auto_clean: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_clean -O--parallel
dh_clean: warning: Compatibility levels before 10 are deprecated (level 9 in use)
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (git)'
dpkg-source: info: bundling: --all
dpkg-source: info: building xlennart in xlennart_1.1.1-devuan.dsc
 debian/rules build
dh build --parallel
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_update_autotools_config -O--parallel
   debian/rules override_dh_auto_configure
make[1]: Entering directory '/build/xlennart/xlennart-1.1.1'
dh_auto_configure -- --bindir=\${prefix}/games --enable-gtk --enable-motif --enable-athena
dh_auto_configure: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	./configure --build=x86_64-linux-gnu --prefix=/usr --includedir=\${prefix}/include --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=\${prefix}/lib/x86_64-linux-gnu --libexecdir=\${prefix}/lib/x86_64-linux-gnu --disable-maintainer-mode --disable-dependency-tracking --bindir=\${prefix}/games --enable-gtk --enable-motif --enable-athena
checking for bison... no
checking for byacc... no
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for flex... no
checking for lex... no
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking whether make sets $(MAKE)... yes
checking for ranlib... ranlib
checking for X... libraries , headers 
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for unistd.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking for XmGetPixmap in -lXm... no
checking for XawInitializeWidgetSet in -lXaw3d... no
checking for XawInitializeWidgetSet in -lXaw... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTK... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: WARNING:  'Makefile.in' seems to ignore the --datarootdir setting
config.status: creating config.h
make[1]: Leaving directory '/build/xlennart/xlennart-1.1.1'
   dh_auto_build -O--parallel
dh_auto_build: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	make -j50
make[1]: Entering directory '/build/xlennart/xlennart-1.1.1'
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c Bill.c -o Bill.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c Bucket.c -o Bucket.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c Cable.c -o Cable.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c Computer.c -o Computer.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c Game.c -o Game.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c Horde.c -o Horde.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c Network.c -o Network.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c OS.c -o OS.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DSCOREFILE=\"/var/games/xlennart.scores\" -c Scorelist.c -o Scorelist.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c Spark.c -o Spark.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c UI.c -o UI.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -c util.c -o util.o
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16 -DIMAGES=\"/usr/share/xlennart\" -c gtk.c -o gtk.o
UI.c: In function 'UI_initialize':
UI.c:91:8: warning: implicit declaration of function 'strcasecmp' [-Wimplicit-function-declaration]
   91 |    if (strcasecmp(gui, map->name) == 0)
      |        ^~~~~~~~~~
Scorelist.c: In function 'Scorelist_read':
Scorelist.c:26:4: warning: ignoring return value of 'fscanf' declared with attribute 'warn_unused_result' [-Wunused-result]
   26 |    fscanf(scorefile, "%20s%d%d\n", scores[i].name,
      |    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   27 |           &scores[i].level, &scores[i].score);
      |           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Game.c: In function 'parse_args':
Game.c:258:7: warning: implicit declaration of function 'strncasecmp' [-Wimplicit-function-declaration]
  258 |   if (strncasecmp(argv[i], "-l", 2) == 0) {
      |       ^~~~~~~~~~~
Game.c:258:34: warning: 'strncasecmp' argument 3 type is 'int' where 'long unsigned int' is expected in a call to built-in function declared without prototype [-Wbuiltin-declaration-mismatch]
  258 |   if (strncasecmp(argv[i], "-l", 2) == 0) {
      |                                  ^
<built-in>: note: built-in 'strncasecmp' declared here
Scorelist.c: In function 'Scorelist_update':
Scorelist.c:88:18: warning: '%-*s' directive writing 20 bytes into a region of size between 1 and 500 [-Wformat-overflow=]
   88 |  sprintf(str, "%s%-*s %6s %7s\n", str, NAMELEN,
      |                  ^~~~
   89 |   "Name", "Level", "Score");
      |   ~~~~~~          
In file included from /usr/include/stdio.h:867,
                 from Scorelist.c:1:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:36:10: note: '__builtin___sprintf_chk' output between 37 and 536 bytes into a destination of size 500
   36 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   37 |       __bos (__s), __fmt, __va_arg_pack ());
      |       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Scorelist.c:91:19: warning: '%-*s' directive writing between 20 and 319 bytes into a region of size between 1 and 500 [-Wformat-overflow=]
   91 |   sprintf(str, "%s%-*s %6d %7d\n", str, NAMELEN,
      |                   ^~~~
In file included from /usr/include/stdio.h:867,
                 from Scorelist.c:1:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:36:10: note: '__builtin___sprintf_chk' output between 37 and 844 bytes into a destination of size 500
   36 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   37 |       __bos (__s), __fmt, __va_arg_pack ());
      |       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from gtk.c:7:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:1: warning: 'GTypeDebugFlags' is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      | ^~~~
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glib-2.0/gio/gioenums.h:28,
                 from /usr/include/glib-2.0/gio/giotypes.h:28,
                 from /usr/include/glib-2.0/gio/gio.h:26,
                 from /usr/include/gtk-2.0/gdk/gdkapplaunchcontext.h:30,
                 from /usr/include/gtk-2.0/gdk/gdk.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:32,
                 from gtk.c:7:
/usr/include/glib-2.0/gobject/gtype.h:679:1: note: declared here
  679 | {
      | ^
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from gtk.c:7:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:3: warning: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |   ^~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glib-2.0/gobject/gbinding.h:28,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glib-2.0/gio/gioenums.h:28,
                 from /usr/include/glib-2.0/gio/giotypes.h:28,
                 from /usr/include/glib-2.0/gio/gio.h:26,
                 from /usr/include/gtk-2.0/gdk/gdkapplaunchcontext.h:30,
                 from /usr/include/gtk-2.0/gdk/gdk.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:32,
                 from gtk.c:7:
/usr/include/glib-2.0/glib/gtypes.h:547:8: note: declared here
  547 | struct _GTimeVal
      |        ^~~~~~~~~
gtk.c: In function 'warp_apply':
gtk.c:83:6: warning: assignment discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
   83 |  str = gtk_entry_get_text(GTK_ENTRY(text));
      |      ^
gtk.c: In function 'enter_name':
gtk.c:94:6: warning: assignment discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
   94 |  str = gtk_entry_get_text(GTK_ENTRY(text));
      |      ^
In file included from /usr/include/gtk-2.0/gtk/gtkcalendar.h:40,
                 from /usr/include/gtk-2.0/gtk/gtk.h:53,
                 from gtk.c:7:
gtk.c: In function 'new_menu_item':
gtk.c:372:28: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
  372 |       gtk_ui_popup_dialog, (gpointer) dialog);
      |                            ^
/usr/include/gtk-2.0/gtk/gtksignal.h:55:62: note: in definition of macro 'gtk_signal_connect_object'
   55 |    gtk_signal_connect_full ((object), (name), (func), NULL, (slot_object), NULL, 1, 0)
      |                                                              ^~~~~~~~~~~
/usr/include/gtk-2.0/gtk/gtksignal.h:55:47: warning: passing argument 3 of 'gtk_signal_connect_full' from incompatible pointer type [-Wincompatible-pointer-types]
   55 |    gtk_signal_connect_full ((object), (name), (func), NULL, (slot_object), NULL, 1, 0)
      |                                               ^~~~~~
      |                                               |
      |                                               void (*)(int)
gtk.c:371:2: note: in expansion of macro 'gtk_signal_connect_object'
  371 |  gtk_signal_connect_object(GTK_OBJECT(menu_item), "activate",
      |  ^~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/gtk-2.0/gtk/gtksignal.h:123:23: note: expected 'GCallback' {aka 'void (*)(void)'} but argument is of type 'void (*)(int)'
  123 |        GCallback      func,
      |        ~~~~~~~~~~~~~~~^~~~
gtk.c: In function 'gtk_ui_create_dialogs':
gtk.c:594:36: warning: passing argument 2 of 'CreateEnterText' from incompatible pointer type [-Wincompatible-pointer-types]
  594 |  CreateEnterText(DIALOG_WARPLEVEL, warp_apply);
      |                                    ^~~~~~~~~~
      |                                    |
      |                                    void (*)(GtkWidget *) {aka void (*)(struct _GtkWidget *)}
gtk.c:533:42: note: expected 'GtkSignalFunc' {aka 'void (*)(void)'} but argument is of type 'void (*)(GtkWidget *)' {aka 'void (*)(struct _GtkWidget *)'}
  533 | CreateEnterText(int index, GtkSignalFunc func) {
      |                            ~~~~~~~~~~~~~~^~~~
gtk.c:604:36: warning: passing argument 2 of 'CreateEnterText' from incompatible pointer type [-Wincompatible-pointer-types]
  604 |  CreateEnterText(DIALOG_ENTERNAME, enter_name);
      |                                    ^~~~~~~~~~
      |                                    |
      |                                    void (*)(GtkWidget *) {aka void (*)(struct _GtkWidget *)}
gtk.c:533:42: note: expected 'GtkSignalFunc' {aka 'void (*)(void)'} but argument is of type 'void (*)(GtkWidget *)' {aka 'void (*)(struct _GtkWidget *)'}
  533 | CreateEnterText(int index, GtkSignalFunc func) {
      |                            ~~~~~~~~~~~~~~^~~~
gcc -g -O2 -ffile-prefix-map=/build/xlennart/xlennart-1.1.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -o xlennart Bill.o Bucket.o Cable.o Computer.o Game.o Horde.o Network.o OS.o Scorelist.o Spark.o UI.o util.o  gtk.o -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lharfbuzz -lfontconfig -lfreetype  -lSM -lICE
make[1]: Leaving directory '/build/xlennart/xlennart-1.1.1'
   dh_auto_test -O--parallel
dh_auto_test: warning: Compatibility levels before 10 are deprecated (level 9 in use)
 debian/rules binary
dh binary --parallel
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_testroot -O--parallel
   dh_prep -O--parallel
   dh_auto_install -O--parallel
dh_auto_install: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	make -j50 install DESTDIR=/build/xlennart/xlennart-1.1.1/debian/xlennart AM_UPDATE_INFO_DIR=no
make[1]: Entering directory '/build/xlennart/xlennart-1.1.1'
/bin/sh ./mkinstalldirs /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/games
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/usr
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/games
/usr/bin/install -c xlennart /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/games/xlennart
/bin/sh ./mkinstalldirs /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/man/man6
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/man
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/man/man6
/usr/bin/install -c -m 644 ./xlennart.6 /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/man/man6
/bin/sh ./mkinstalldirs /build/xlennart/xlennart-1.1.1/debian/xlennart/var/games
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/var
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/var/games
/usr/bin/install -c -m 644 ./scores /build/xlennart/xlennart-1.1.1/debian/xlennart/var/games/xlennart.scores.default
/bin/sh ./mkinstalldirs /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/xlennart
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/xlennart
/bin/sh ./mkinstalldirs /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/xlennart/pixmaps
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/xlennart/pixmaps
/bin/sh ./mkinstalldirs /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/xlennart/bitmaps
mkdir /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/xlennart/bitmaps
for i in pixmaps/about.xpm pixmaps/billA_0.xpm pixmaps/billA_1.xpm pixmaps/billA_10.xpm pixmaps/billA_11.xpm pixmaps/billA_12.xpm pixmaps/billA_2.xpm pixmaps/billA_3.xpm pixmaps/billA_4.xpm pixmaps/billA_5.xpm pixmaps/billA_6.xpm pixmaps/billA_7.xpm pixmaps/billA_8.xpm pixmaps/billA_9.xpm pixmaps/billD_0.xpm pixmaps/billD_1.xpm pixmaps/billD_2.xpm pixmaps/billD_3.xpm pixmaps/billD_4.xpm pixmaps/billL_0.xpm pixmaps/billL_1.xpm pixmaps/billL_2.xpm pixmaps/billR_0.xpm pixmaps/billR_1.xpm pixmaps/billR_2.xpm pixmaps/bsd.xpm pixmaps/bsdcpu.xpm pixmaps/bucket.xpm pixmaps/arch.xpm pixmaps/icon.xpm pixmaps/centos.xpm pixmaps/logo.xpm pixmaps/maccpu.xpm pixmaps/debian.xpm pixmaps/nextcpu.xpm pixmaps/gentoo.xpm pixmaps/openbsd.xpm pixmaps/os2cpu.xpm pixmaps/mandriva.xpm pixmaps/openbsd.xpm pixmaps/spark_0.xpm pixmaps/slackware.xpm pixmaps/suse.xpm pixmaps/spark_1.xpm pixmaps/ubuntu.xpm pixmaps/sgicpu.xpm pixmaps/suncpu.xpm pixmaps/toaster.xpm pixmaps/initfail.xpm; do \
	/usr/bin/install -c -m 644 ./$i /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/xlennart/pixmaps ; \
done
for i in bitmaps/arch.xbm bitmaps/bsd.xbm bitmaps/bucket.xbm bitmaps/centos.xbm bitmaps/debian.xbm bitmaps/gentoo.xbm bitmaps/hand_down.xbm bitmaps/hand_down_mask.xbm bitmaps/hand_up.xbm bitmaps/hand_up_mask.xbm bitmaps/initfail.xbm bitmaps/mandriva.xbm bitmaps/openbsd.xbm bitmaps/slackware.xbm bitmaps/suse.xbm bitmaps/ubuntu.xbm; do \
	/usr/bin/install -c -m 644 ./$i /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/share/xlennart/bitmaps ; \
done
make[1]: Leaving directory '/build/xlennart/xlennart-1.1.1'
   dh_install -O--parallel
dh_install: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installdocs -O--parallel
dh_installdocs: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installchangelogs -O--parallel
dh_installchangelogs: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installman -O--parallel
dh_installman: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installinit -O--parallel
dh_installinit: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installmenu -O--parallel
   dh_perl -O--parallel
   dh_link -O--parallel
   dh_strip_nondeterminism -O--parallel
   dh_compress -O--parallel
dh_compress: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   debian/rules override_dh_fixperms
make[1]: Entering directory '/build/xlennart/xlennart-1.1.1'
dh_fixperms
chown root:games /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/games/xlennart
chown root:games /build/xlennart/xlennart-1.1.1/debian/xlennart/var/games/xlennart.scores.default
chmod 0755 /build/xlennart/xlennart-1.1.1/debian/xlennart/usr/games/xlennart
chmod 0664 /build/xlennart/xlennart-1.1.1/debian/xlennart/var/games/xlennart.scores.default
make[1]: Leaving directory '/build/xlennart/xlennart-1.1.1'
   dh_missing -O--parallel
dh_missing: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_strip -O--parallel
dh_strip: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_makeshlibs -O--parallel
dh_makeshlibs: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_shlibdeps -O--parallel
dh_shlibdeps: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installdeb -O--parallel
dh_installdeb: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_gencontrol -O--parallel
dpkg-gencontrol: warning: package xlennart: substitution variable ${shlibs:Depends} unused, but is defined
   dh_md5sums -O--parallel
   dh_builddeb -O--parallel
dpkg-deb: building package 'xlennart' in '../xlennart_1.1.1-devuan_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../xlennart_1.1.1-devuan_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload; Debian-native package (full source is included)
+ date
Mon Apr 17 08:15:37 UTC 2023
+ cd ..
+ ls -la
total 436
drwxr-xr-x 3 root root   4096 Apr 17 08:15 .
drwxr-xr-x 3 root root   4096 Apr 17 08:15 ..
-rw-r--r-- 1 root root  46660 Apr 17 08:15 buildlog.txt
drwxr-xr-x 6 root root   4096 Apr 17 08:15 xlennart-1.1.1
-rw-r--r-- 1 root root    553 Apr 17 08:15 xlennart_1.1.1-devuan.dsc
-rw-r--r-- 1 root root 310764 Apr 17 08:15 xlennart_1.1.1-devuan.git
-rw-r--r-- 1 root root  10812 Apr 17 08:15 xlennart_1.1.1-devuan_amd64.buildinfo
-rw-r--r-- 1 root root   2378 Apr 17 08:15 xlennart_1.1.1-devuan_amd64.changes
-rw-r--r-- 1 root root  50208 Apr 17 08:15 xlennart_1.1.1-devuan_amd64.deb
+ find . -maxdepth 1 -type f
+ sha256sum ./xlennart_1.1.1-devuan_amd64.deb ./buildlog.txt ./xlennart_1.1.1-devuan_amd64.changes ./xlennart_1.1.1-devuan.dsc ./xlennart_1.1.1-devuan_amd64.buildinfo ./xlennart_1.1.1-devuan.git
08bb9cb64e5b70c7baa0f061056dae8da194679c32858c99a4aa56622ae494a2  ./xlennart_1.1.1-devuan_amd64.deb
4460f2e70d2caebde1143ae16874e231b636807a6a2e6acd0fb3146328d56c0c  ./buildlog.txt
06496834d020a47d3d6f5804b4183904464a49d9bd9575030c9f15b95d062674  ./xlennart_1.1.1-devuan_amd64.changes
9808eb2dc1a5c4d23b8b01b891c79e05ed35a026bba6d9a06892da448f8bd88d  ./xlennart_1.1.1-devuan.dsc
5f8276aa583ddbde038220cf0435e14c9f5d95eabdf32ff9487ef036b35371c2  ./xlennart_1.1.1-devuan_amd64.buildinfo
0f289e588f40e46ad25157c4fcd9d12e9c9fde309d5d28342b20629edcd3017c  ./xlennart_1.1.1-devuan.git
+ mkdir published
+ cd published
+ cd ../
+ ls xlennart_1.1.1-devuan_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget -q http://deb.devuan.org/merged/pool/DEVUAN/main/x/xlennart/xlennart_1.1.1-devuan_amd64.deb
+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./xlennart_1.1.1-devuan_amd64.deb
06f8db3f78221f9e12df47d85ef32cc02d620f0b6f7107a5f379dd1d721ad1cd  ./xlennart_1.1.1-devuan_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./xlennart_1.1.1-devuan_amd64.deb: FAILED
sha256sum: WARNING: 1 computed checksum did NOT match
